disabling DNS on the subnet where the regiond is breaks DNS

Bug #1871584 reported by Junien Fridrick on 2020-04-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Medium
Alberto Donato
2.7
Medium
Alberto Donato

Bug Description

Hi,

Using MAAS snap 2.7.0-8235-g.fea3a1678. This is a fresh install, with a single subnet - the one where the MAAS regiond (and rackd - same machine) lives.

With DNS enabled on this subnet, the zone file generate by MAAS looks like this :
; Zone file modified: 2020-04-07 10:24:31.290734.
$TTL 30
@ IN SOA maas. nobody.example.com. (
              0000000008 ; serial
              600 ; Refresh
              1800 ; Retry
              604800 ; Expire
              30 ; NXTTL
              )

@ 30 IN NS maas.
stadius 30 IN A <REDACTED IP>
@ 30 IN A <REDACTED IP>

If I disable DNS on this subnet, then the zonefile generated by MAAS doesn't have an A record for @ (the last line of the zone above goes away), and this is absolutely needed since @ is also the NS. So named complains (and rightly so) :

07-Apr-2020 17:32:21.949 zone maas/IN: NS 'maas' has no address records (A or AAAA)
07-Apr-2020 17:32:21.949 zone maas/IN: not loaded due to errors.

And then regiond complains :

maasserver.region_controller.DNSReloadError: Failed to reload DNS; serial mismatch on domains maas

(full error https://pastebin.ubuntu.com/p/vdNDptjXDT/)

MAAS should always generate valid zonefiles.

Thanks

Related branches

Alberto Donato (ack) wrote :

When dns is disabled on a subnet, the MAAS IP on that net gets filtered out.

See https://code.launchpad.net/~ltrager/maas/+git/maas/+merge/375057 to fix #1847537

Changed in maas:
status: New → Triaged
importance: Undecided → Medium
Alberto Donato (ack) on 2020-04-09
Changed in maas:
status: Triaged → In Progress
assignee: nobody → Alberto Donato (ack)
milestone: none → 2.8.0b1
Changed in maas:
status: In Progress → Fix Committed
Alberto Donato (ack) on 2020-04-17
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers